// LOGO
.logo {
  margin-left: 2rem;
  height: 3.25rem;
}

// SEARCH BOX
.search {
  display: flex;
  justify-content: center;
  align-items: center;
  flex: 0 0 40%;

  @media only screen and (max-width: $bp-smallest) {
    order: 1;
    flex: 0 0 100%;
    background-color: var(--color-grey-light-2);
  }

  &__input {
    transition: all 0.2s;
    margin-right: -3.25rem;
    border: none;
    border-radius: 100px;
    padding: 0.7rem 2rem;
    width: 90%;
    font-size: inherit;
    font-family: inherit;
    background-color: var(--color-grey-light-2);
    color: inherit;

    &:focus {
      width: 100%;
      outline: none;
      background-color: var(--color-grey-light-3);
    }

    &::-webkit-input-placeholder {
      font-weight: 100;
      color: var(--color-grey-light-4);
    }
  }

  &__input:focus ~ &__button {
    background-color: var(--color-grey-light-3);
  }

  &__button {
    border: none;
    background-color: var(--color-grey-light-2);

    &:focus {
      outline: none;
    }

    &:active {
      transform: translateY(2px);
    }
  }

  &__icon {
    height: 2rem;
    width: 2rem;
    fill: var(--color-grey-dark-3);
  }
}

// USER NAV
.user-nav {
  display: flex;
  align-self: stretch;
  align-items: center;

  & > * {
    display: flex;
    align-items: center;
    height: 100%;
    padding: 0 2rem;
    cursor: pointer;
  }

  & > *:hover {
    background-color: var(--color-grey-light-2);
  }

  &__icon-box {
    position: relative;
  }

  &__icon {
    height: 2.25rem;
    width: 2.25rem;
    fill: var(--color-grey-dark-2);
  }

  &__notification {
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    top: 1.5rem;
    right: 1.1rem;
    border-radius: 50%;
    height: 1.75rem;
    width: 1.75rem;
    background-color: var(--color-primary);
    font-size: 0.8rem;
    color: #fff;
  }

  &__user-photo {
    margin-right: 1rem;
    border-radius: 50%;
    height: 3.75rem;
  }
}

// SIDE NAV
.side-nav {
  margin-top: 3.5rem;
  font-size: 1.4rem;
  list-style: none;

  &__item {
    position: relative;

    &:not(:last-child) {
      margin-bottom: 0.5rem;

      @media only screen and (max-width: $bp-medium) {
        margin-bottom: 0;
      }
    }

    @media only screen and (max-width: $bp-medium) {
      flex: 1;
    }
  }

  &__item::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    transform: scaleY(0);
    transition: transform 0.2s, width 0.4s cubic-bezier(1, 0, 0, 1) 0.2s,
      background-color 0.1s;
    height: 100%;
    width: 3px;
    background-color: var(--color-primary);
  }

  &__item:hover::before,
  &__item--active::before {
    transform: scaleY(1);
    width: 100%;
  }

  &__item:active::before {
    background-color: var(--color-primary-light);
  }

  &__link:link,
  &__link:visited {
    position: relative;
    z-index: 10;
    display: flex;
    align-items: center;
    padding: 1.5rem 3rem;
    text-decoration: none;
    text-transform: uppercase;
    color: var(--color-grey-light-1);

    @media only screen and (max-width: $bp-medium) {
      justify-content: center;
      padding: 2rem;
    }

    @media only screen and (max-width: $bp-small) {
      flex-direction: column;
      padding: 1.5rem 0.5rem;
    }
  }

  &__icon {
    margin-right: 2rem;
    height: 1.75rem;
    width: 1.75rem;
    fill: currentColor;

    @media only screen and (max-width: $bp-small) {
      margin-right: 0;
      margin-bottom: 0.7rem;
      height: 1.5rem;
      width: 1.5rem;
    }
  }

  @media only screen and (max-width: $bp-medium) {
    display: flex;
    align-items: center;
    margin-top: 0;
  }
}

// LEGAL TEXT
.legal {
  padding: 2.5rem;
  font-size: 1.2rem;
  text-align: center;
  color: var(--color-grey-light-4);

  @media only screen and (max-width: $bp-medium) {
    display: none;
  }
}

// GALLERY
.gallery {
  display: flex;

  &__photo {
    display: block;
    width: 100%;
  }
}

// HOTEL OVERVIEW
.overview {
  display: flex;
  align-items: center;
  border-bottom: var(--line);

  &__heading {
    margin: 1.5rem 3rem;
    font-size: 2.25rem;
    letter-spacing: 1px;
    font-weight: 300;
    text-transform: uppercase;
    color: var(--color-grey-dark-2);

    @media only screen and (max-width: $bp-small) {
      margin: 0;
      padding: 1.25rem 2rem;
      font-size: 1.8rem;
    }
  }

  &__stars {
    display: flex;
    margin-right: auto;
  }

  &__icon-star,
  &__icon-location {
    width: 1.75rem;
    height: 1.75rem;
    fill: var(--color-primary);
  }

  &__location {
    display: flex;
    font-size: 1.2rem;
  }

  &__icon-location {
    margin-right: 0.5rem;
  }

  &__rating {
    display: flex;
    align-self: stretch;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-left: 3rem;
    padding: 0 2.25rem;
    background-color: var(--color-primary);
    color: #fff;

    @media only screen and (max-width: $bp-small) {
      padding: 0 1.5rem;
    }
  }

  &__rating-average {
    margin-bottom: -3px;
    font-size: 2.25rem;
    font-weight: 300;

    @media only screen and (max-width: $bp-small) {
      font-size: 1.8rem;
    }
  }

  &__rating-count {
    font-size: 0.8rem;
    text-transform: uppercase;

    @media only screen and (max-width: $bp-small) {
      font-size: 0.5rem;
    }
  }
}

// BUTTON INLINE
.btn-inline {
  display: inline-block;
  transition: all 0.2s;
  border: none;
  border-bottom: 1px solid currentColor;
  padding-bottom: 2px;
  background-color: transparent;
  cursor: pointer;
  font-size: inherit;
  color: var(--color-primary);

  & span {
    transition: margin-left 0.2s;
    margin-left: 3px;
  }

  &:hover {
    color: var(--color-grey-dark-1);

    span {
      margin-left: 8px;
    }
  }

  &:focus {
    outline: none;
    animation: pulsate 1s infinite;
  }
}

@keyframes pulsate {
  0% {
    transform: scale(1);
    box-shadow: none;
  }

  50% {
    transform: scale(1.05);
    box-shadow: 0 1rem 4rem rgba(0, 0, 0, 0.25);
  }

  100% {
    transform: scale(1);
    box-shadow: none;
  }
}

// PARAGRAPH
.paragraph:not(:last-of-type) {
  margin-bottom: 2rem;
}

// LIST
.list {
  display: flex;
  flex-wrap: wrap;
  margin: 3rem 0;
  border-top: var(--line);
  border-bottom: var(--line);
  padding: 3rem 0;
  list-style: none;

  &__item {
    flex: 0 0 50%;
    margin-bottom: 0.7rem;

    &::before {
      content: "";
      display: inline-block;
      margin-right: 0.7rem;
      height: 1rem;
      width: 1rem;

      // Older browsers
      //background-image: url(../img/chevron-thin-right.svg);
      //background-size: cover;

      // Newer browsers - masks
      background-color: var(--color-primary);
      -webkit-mask-image: url(../img/chevron-thin-right.svg);
      -webkit-mask-size: cover;
    }
  }
}

// RECOMMEND
.recommend {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin: 2rem 0;

  &__count {
    font-size: 1.3rem;
    color: var(--color-grey-dark-3);
  }

  &__friends {
    display: flex;
  }

  &__photo {
    box-sizing: content-box;
    border-radius: 50%;
    border: 3px solid #fff;
    height: 4rem;

    &:not(:last-of-type) {
      margin-right: -2rem;
    }
  }
}

// REVIEWS
.review {
  position: relative;
  overflow: hidden;
  margin-bottom: 3.5rem;
  box-shadow: var(--shadow-light);
  padding: 3rem;
  background-color: #fff;

  @media only screen and (max-width: $bp-medium) {
    margin-bottom: 3rem;
    padding: 2rem;
  }

  &__text {
    position: relative;
    z-index: 10;
  }

  &__user {
    display: flex;
    align-items: center;
    margin-top: 2rem;
  }

  &__photo {
    margin-right: 1.5rem;
    border-radius: 50%;
    height: 4.5rem;
    width: 4.5rem;
  }

  &__user-box {
    margin-right: auto;
  }

  &__user-name {
    margin-bottom: 0.4rem;
    font-size: 1.1rem;
    font-weight: 600;
    text-transform: uppercase;
  }

  &__user-date {
    font-size: 1rem;
    color: var(--color-grey-dark-3);
  }

  &__rating {
    font-size: 2.2rem;
    font-weight: 300;
    color: var(--color-primary);
  }

  &::before {
    content: "\201C";
    position: absolute;
    z-index: 1;
    top: -2.75rem;
    left: -1rem;
    font-size: 20rem;
    line-height: 1;
    font-family: sans-serif;
    color: var(--color-grey-light-2);
  }
}

// CTA
.cta {
  padding: 3.5rem 0;
  text-align: center;

  @media only screen and (max-width: $bp-medium) {
    padding: 2.5rem 0;
  }

  &__book-now {
    margin-bottom: 2.5rem;
    font-size: 1.5rem;
    font-weight: 300;
    text-transform: uppercase;
  }
}

.btn {
  position: relative;
  overflow: hidden;
  border: none;
  border-radius: 100px;
  background-image: linear-gradient(
    to right,
    var(--color-primary),
    var(--color-primary-dark)
  );
  cursor: pointer;
  font-size: 1.5rem;
  font-weight: 300;
  text-transform: uppercase;
  color: #fff;

  & > * {
    display: inline-block;
    transition: all 0.2s;
    height: 100%;
    width: 100%;
  }

  &__visible {
    padding: 2rem 7.5rem;
  }

  &__invisible {
    position: absolute;
    top: -100%;
    left: 0;
    padding: 2rem 0;
  }

  &:hover {
    background-image: linear-gradient(
      to left,
      var(--color-primary),
      var(--color-primary-dark)
    );
  }

  &:hover &__visible {
    transform: translateY(100%);
  }

  &:hover &__invisible {
    top: 0;
  }

  &:focus {
    outline: none;
    animation: pulsate 1s infinite;
  }
}
